package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.Activity;
import com.lightinit.hsdataplatform.entity.ActivityWithBLOBs;
import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.ActivitySearchModel;

import java.util.List;

/**
 * Created by WangYao on 2018/5/20.
 */
public interface IActivityMgrService {

    ActivityWithBLOBs queryOne(long id);
    List<Activity> queryList(ActivitySearchModel inputModel, BaseExample.Page page);
    long queryCount(ActivitySearchModel inputModel);
    ResultState<Long> add(ActivityWithBLOBs entity);
    ResultState<Long> edit(ActivityWithBLOBs entity);
    ResultState<Long> delete(long id);

}
